Freeciv-3.1: /fast/freeciv/nightly/S3_1/common/version.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions
version.h File Reference

Go to the source code of this file.

## Macros

#define | NEXT_RELEASE_MONTH (month[FREECIV_RELEASE_MONTH])

## Functions

const char * | freeciv_name_version (void)
const char * | word_version (void)
const char * | fc_git_revision (void)
const char * | fc_comparable_version (void)
const char * | freeciv_datafile_version (void)
const char * | freeciv_motto (void)
const char * | beta_message (void)
const char * | alpha_message (void)
const char * | unstable_message (void)

## Macro Definition Documentation

## ◆ NEXT_RELEASE_MONTH

#define NEXT_RELEASE_MONTH (month[FREECIV_RELEASE_MONTH])

Definition at line 28 of file version.h.

## Function Documentation

## ◆ alpha_message()

const char * alpha_message | ( | void |  | ) |

Return the alpha message. If returns NULL, not an alpha version.

Definition at line 147 of file version.c.

Referenced by unstable_message().

## ◆ beta_message()

const char * beta_message | ( | void |  | ) |

Return the BETA message. If returns NULL, not a beta version.

Definition at line 104 of file version.c.

Referenced by unstable_message().

## ◆ fc_comparable_version()

const char * fc_comparable_version | ( | void |  | ) |

Returns version string that can be used to compare two freeciv builds. This does not handle git revisions, as there's no way to compare which of the two commits is "higher".

Definition at line 95 of file version.c.

## ◆ fc_git_revision()

const char * fc_git_revision | ( | void |  | ) |

Returns string with git revision information if it is possible to determine. Can return also some fallback string or even NULL.

Definition at line 75 of file version.c.

Referenced by fc_client::create_main_page(), freeciv_datafile_version(), freeciv_name_version(), intro_expose(), intro_expose(), main(), modinst_setup_widgets(), modinst_setup_widgets(), mpgui::setup(), ruledit_gui::setup(), and show_main_page().

## ◆ freeciv_datafile_version()

const char * freeciv_datafile_version | ( | void |  | ) |

Return version string in a format suitable to be written to created datafiles as human readable information.

Definition at line 186 of file version.c.

Referenced by create_ruleset_file(), manual_command(), and sg_save_savefile().

## ◆ freeciv_motto()

const char * freeciv_motto | ( | void |  | ) |

Return the Freeciv motto. (The motto is common code: only one instance of the string in the source; only one time gettext needs to translate it. –jjm)

Definition at line 177 of file version.c.

## ◆ freeciv_name_version()

const char * freeciv_name_version | ( | void |  | ) |

Return string containing both name of Freeciv and version.

Definition at line 35 of file version.c.

Referenced by api_utilities_fc_version(), client_main(), establish_new_connection(), fcmp_parse_cmdline(), insert_generated_text(), main(), main(), re_parse_cmdline(), and set_title_topic().

## ◆ unstable_message()

const char * unstable_message | ( | void |  | ) |

Return the alpha or beta message. If returns NULL, not such a version.

Definition at line 160 of file version.c.

Referenced by fc_client::create_main_page(), create_main_page(), show_main_page(), and srv_prepare().

## ◆ word_version()

const char * word_version | ( | void |  | ) |

Return string describing version type.

Definition at line 62 of file version.c.

Referenced by fc_client::create_main_page(), intro_expose(), intro_expose(), main(), modinst_setup_widgets(), modinst_setup_widgets(), mpgui::setup(), and ruledit_gui::setup().